PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Functions
paec.h File Reference
`#include <ptclib/qchannel.h>`
Include dependency graph for paec.h:

Go to the source code of this file.

## Classes
class | PAec

## Functions
| PQUEUE (ReceiveTimeQueue, PTimeInterval)
| This class implements Acoustic Echo Cancellation The principal is to copy to a buffer incoming audio. More...

## Function Documentation

PQUEUE | ( | ReceiveTimeQueue | ,
|  | PTimeInterval |
| ) |  |

This class implements Acoustic Echo Cancellation The principal is to copy to a buffer incoming audio.

after it has been decoded and when recording the audio to remove the echo pattern from the incoming audio prior to sending to the enooder..